<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );
if (!isset($_SESSION)) {
  session_start();
}
 ?>

<?php 
$xdata_processamento = date("Y/m/d");

$z = 0; // contador dos itens da tabela a ser exibida
$total_itens = 0;
$total_itens_processados = 0;
$total_valor_nominal = 0;
$frase_motivo = "";
$bg_color = "";



function valor_vinculo($vinculo){

	include "../conexao.php";
	$select_vinculo = mysqli_query($db, "SELECT SUM(valor_parcelas) as total FROM parcelas 
		                                 WHERE vinculo = '$vinculo'");

	while ($result_vinculo = mysqli_fetch_assoc($select_vinculo)) {

		$total = $result_vinculo["total"];

	}

	return $total;

}
function php_fnumber($var1){
	//return number_format($var1,2,",",'.’.');
	return number_format($var1,2, ',', '.');
}

function datasql($data1) {
	$data1 = substr($data1,0,2).'/'.substr($data1,2,2).'/'.substr($data1,4,4);
	if (!empty($data1)){
	$p_dt = explode('/',$data1);
	$data_sql = $p_dt[2].'-'.$p_dt[1].'-'.$p_dt[0];
	return $data_sql;
	}
}

function datacx_databr( $var1 ){
	// Converter uma string data brasileira em uma data brasileira com as barras
	// Entrada: DDMMAAAA / Saida: DD/MM/AAAA
	$j_dia = substr($var1,0,2);
	$j_mes = substr($var1,2,2);
	$j_ano = substr($var1,4,4);
	$j_dtf = $j_dia."/".$j_mes."/".$j_ano;
	return $j_dtf;
}

function remove_zero_esq( $var1 ){
	$tam = strlen( $var1 );
	for( $i=0; $i<$tam; $i++ ){
		if( substr( $var1, $i, 1 )	== "0" ){
			$y = substr( $var1, ($i+1), ($tam) );
		}else{
			return $y;
		}
	}
	return $y;
}

function numero_usa( $var1 ){
	//$var1 = string($var1);
	
	$tam  = strlen( $var1 );
	$ped1 = substr( $var1,0,($tam-2) );
	$ped2 = substr( $var1,-2);
	$num2 = $ped1.".".$ped2;
	if( $num2 == "." ){
		$num2 = "0.00";
	}	
	return $num2;
}

function motivo_liquidacao( $var1 ){

	if( $var1 == "01" ){
		$xfra = " ";
	}elseif( $var1 == "02" ){
		$xfra = "PG CASA <br>LOTÉRICA";
	}elseif( $var1 == "03" ){
		$xfra = "PG AGENCIA <br>CAIXA";
	}elseif( $var1 == "04" ){
		$xfra = "COMPENSAÇÃO <br>ELETRÔNICA";
	}elseif( $var1 == "05" ){
		$xfra = "COMPENSAÇÃO <br>CONVENCIONAL";
	}elseif( $var1 == "06" ){
		$xfra = "INTERNET <br>BANKING";
	}elseif( $var1 == "07" ){
		$xfra = "CORRESPONDENTE <br>BANCÁRIO";
	}elseif( $var1 == "08" ){
		$xfra = "EM CARTÓRIO";
	}else{
		$xfra = "MOTIVO PG: ".$var1." <br>CONSULTAR MANUAL";
	}
	return( $xfra );
	
}	

function motivo_rejeicao( $var1 ){

	if( $var1 == "08" ){
		$xfra = "NOSSO NÚMERO<br>INVÁLIDO";
	}elseif( $var1 == "09" ){
		$xfra = "NOSSO NÚMERO<br>DUPLICADO";
	}elseif( $var1 == "48" ){
		$xfra = "CEP INVÁLIDO";
	}elseif( $var1 == "49" ){
		$xfra = "CEP SEM PRACA DE<br> COBRANCA (NAO LOCALIZADO)";
	}elseif( $var1 == "50" ){
		$xfra = "CEP REFERENTE A <br>UM BANCO CORRESPONDENTE";
	}elseif( $var1 == "51" ){
		$xfra = "CEP INCOMPATIVEL COM<br> A UNIDADE DA FEDERACAO";
	}elseif( $var1 == "52" ){
		$xfra = "UNIDADE DA FEDERAÇÃO<br> INVÁLIDA";
	}elseif( $var1 == "87" ){
		$xfra = "NÚMERO DA REMESSA<br> INVÁLIDO";
	}elseif( $var1 == "63" ){
		$xfra = "ENTRADA PARA TITULO<br> JÁ CADASTRADO";
	}elseif( $var1 == "16" ){
		$xfra = "DATA DE VENCIMENTO<br> INVÁLIDA";
	}elseif( $var1 == "09" ){
		$xfra = "CEP REFERENTE A UM <br>BANCO CORRESPONDENTE";
	}elseif( $var1 == "10" ){
		$xfra = "CARTEIRA INVÁLIDA";
	}elseif( $var1 == "06" ){
		$xfra = "NÚMERO INSCRIÇÃO DO <br>BENEFICIÁRIO INVÁLIDO";
	}elseif( $var1 == "07" ){
		$xfra = "AG/CONTA/DV<br>INVÁLIDOS";
	}else{
		$xfra = "ERRO: ".$var1." ";
	}

	return( $xfra );

}




function dados_parcela_retorno($id){
    include "conexao.php";
    $query_amigo = "SELECT * FROM parcelas WHERE idparcelas = $id";
    $executa_query = mysqli_query($db, $query_amigo);

 while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos
            
            $idparcelas              = $buscar_amigo["idparcelas"];
            $data_vencimento_parcela = $buscar_amigo["data_vencimento_parcela"];
            $situacao                = $buscar_amigo["situacao"];
            $cliente_id_novo         = $buscar_amigo["cliente_id_novo"];
  	    	$empreendimento_id_novo  = $buscar_amigo["empreendimento_id_novo"];
  	    	$vinculo                 = $buscar_amigo["vinculo"];

  	    	 if($vinculo != ''){

            $valor_parcelas = valor_vinculo($vinculo);

        	}else{
	    	$valor_parcelas          = $buscar_amigo["valor_parcelas"];

        	}
            

            $dados["idparcelas"]  				= $idparcelas;
            $dados["valor_parcelas"]  			= $valor_parcelas;
            $dados["data_vencimento_parcela"]   = $data_vencimento_parcela;
            $dados["situacao"]  				= $situacao;
            $dados["cliente_id_novo"]  			= $cliente_id_novo;
            $dados["empreendimento_id_novo"]  	= $empreendimento_id_novo;

        }

    return $dados;
}



$z = 0; // contador dos itens da tabela a ser exibida
$total_itens = 0;
$total_itens_processados = 0;
$total_valor_nominal = 0;
$frase_motivo = "";
$bg_color = "";
?>
 <!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en">
<!--<![endif]-->


<head>
	<meta charset="utf-8" />
	<title>Immobile | Business</title>
	<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" name="viewport" />
	<meta content="" name="description" />
	<meta content="" name="author" />
	
	<!-- ================== BEGIN BASE CSS STYLE ================== -->
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
	<link href="https://immobilebusiness.com.br/admin/assets/plugins/jquery-ui/themes/base/minified/jquery-ui.min.css" rel="stylesheet" />
	<link href="https://immobilebusiness.com.br/admin/assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
	<link href="https://immobilebusiness.com.br/admin/assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" />
	<link href="https://immobilebusiness.com.br/admin/assets/css/animate.min.css" rel="stylesheet" />
	<link href="https://immobilebusiness.com.br/admin/assets/css/style.min.css" rel="stylesheet" />
	<link href="https://immobilebusiness.com.br/admin/assets/css/style-responsive.min.css" rel="stylesheet" />
	<link href="https://immobilebusiness.com.br/admin/assets/css/theme/default.css" rel="stylesheet" id="theme" />
	<!-- ================== END BASE CSS STYLE ================== -->
	
	<!-- ================== BEGIN PAGE LEVEL STYLE ================== -->
	<link href="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/media/css/dataTables.bootstrap.min.css" rel="stylesheet" />
	<link href="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Buttons/css/buttons.bootstrap.min.css" rel="stylesheet" />
	<link href="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css" rel="stylesheet" />
	<!-- ================== END PAGE LEVEL STYLE ================== -->
	
	<!-- ================== BEGIN BASE JS ================== -->
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/pace/pace.min.js"></script>
 <link rel="shortcut icon" href="https:/immobilebusiness.com.br/home/favicon.ico"><!-- ================== END BASE JS ================== -->
</head>
<body>
<script type="text/javascript">
	
		function verificaStatus(nome){
	if(nome.form.tudo.checked == 0)
		{
			nome.form.tudo.checked = 1;
			marcarTodos(nome);
		}
	else
		{
			nome.form.tudo.checked = 0;
			desmarcarTodos(nome);
		}
}
 
function marcarTodos(nome){
   for (i=0;i<nome.form.elements.length;i++)
	  if(nome.form.elements[i].type == "checkbox")
		 nome.form.elements[i].checked=0
}
 
function desmarcarTodos(nome){
   for (i=0;i<nome.form.elements.length;i++)
	  if(nome.form.elements[i].type == "checkbox")
		 nome.form.elements[i].checked=1
}
</script>
	<!-- begin #page-loader -->
	<div id="page-loader" class="fade"><span class="spinner"></span></div>
	<!-- end #page-loader -->
	
	<!-- begin #page-container -->
	<div id="page-container" class="fade in page-sidebar-fixed page-header-fixed">
		

		<?php include "topo.php"; ?>
		
		<!-- begin #content -->
		<div id="content" class="content">
			<!-- begin breadcrumb -->
	
			<!-- end breadcrumb -->
			<!-- begin page-header -->
			<h1 class="page-header">Retorno SICOOB</h1>
			<!-- end page-header -->
			<?php if(isset($_GET["baixa"])){ ?>
			  <div class="alert alert-success fade in m-b-15">
								<strong><font><font>Sucesso! </font></font></strong><font><font>
								Suas Parcelas foram baixadas.
								</font></font><span class="close" data-dismiss="alert"><font><font>×</font></font></span>
							</div>
			<?php } ?>
			<!-- begin row -->
			<div class="row">
			   <div class="col-md-12">
			        <!-- begin panel -->
                    <div class="panel panel-inverse" data-sortable-id="form-plugins-11">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-repeat"></i></a>
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
                            </div>
                           
                        </div>
                        <div class="panel-body panel-form">
                            <form class="form-horizontal form-bordered" action="retorno_santander1.php" method="POST" enctype="multipart/form-data">
                             
                                 
                              

                               

                                 <div class="form-group">
                                    <label class="col-md-3 control-label">Arquivo de Retorno:</label>
                                    <div class="col-md-9">
                                 <input type="file"  name="arquivo" id="arquivo">

                                      
                                    </div>
                                </div>
                               
                            
                                  <div class="form-group">
                            
                                    <div class="col-md-9">
                                       <input type="submit" name="Proximo" class="btn btn-success m-r-5 m-b-5" value="Próximo" />
                                    </div>
                                </div>

                             



</form>
                              





                              






                         
                        </div>
                    </div>
                    <!-- end panel -->
                </div>

		




<?php if(isset($_POST["Proximo"])){ ?>
<h3>Arquivo de Retorno: <strong><?php echo $_FILES['arquivo']['name'];?></strong></h3>

			    <!-- begin col-10 -->
			    <div class="col-md-12">
			        <!-- begin panel -->
                    <div class="panel panel-inverse">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-repeat"></i></a>
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
                            </div>
                            <h4 class="panel-title">Informações dos Contatos:</h4>
                        </div>
                      
                        <div class="panel-body">

                            <table id="data-table" class="table table-striped table-bordered">
                            	                    <form action="receber_baixa_automatica.php" method="POST" id="nome" name="nome">

                                <thead>
                                    <tr>
                                    	 <th><input type='checkbox' name='tudo' onclick="verificaStatus(this)" /></th>
                                   <th>N&ordm; Boleto</th>
                                        <th>C&oacute;d.&nbsp;Movimento</th>
                                        <th>C&oacute;d.&nbsp;Motivo</th>
                                        <th>Pagador</th>
                                        <th>Vencimento</th>
                                        <th>Pagamento</th>
                                        <th>Valor</th>
                                         <th>Valor Pago</th>
                                               <th>Acr&eacute;scimos</th>
                                                <th>Desconto</th>
                                                
                                    </tr>
                                </thead>
                                <tbody>

            
<?php

# Pegando dados do arquivo ##############################################################################

$nome = $_FILES['arquivo']['name'];
$type = $_FILES['arquivo']['type'];
$size = $_FILES['arquivo']['size'];
$tmp  = $_FILES['arquivo']['tmp_name'];

$b = 4;

$pasta = "retorno"; // NOME DA PASTA ONDE IRAO FICAR TODOS OS UPLOADS DE RETORNO

if(move_uploaded_file($tmp, $pasta."/".$nome)){

	$lendo = @fopen($pasta."/".$nome,"r");

	if (!$lendo){
		echo "Erro ao abrir a URL.";
		exit;
	}else{
		//echo "<br>arquivo aberto com sucesso";
	}

	$i = 1;
	$x = 1;
	$cod_motivo = "  ";
		
	while ( !feof( $lendo ) ) {
	
		$linha = fgets($lendo,241);
		
		$rr = "<pre>".$linha."</pre>";
		
		$xtamanho_linha = strlen($linha);
	
		if( $xtamanho_linha == 240 ){
			
			if( $i > 2 && substr( $rr, $b+14,1 ) == "T" && substr( $rr, $b+16,2)!=28 ){   // if para tratar de que essa linha e' segmento T
				
				$num_sequencial_t         = substr( $rr, $b+9,5 );                  // 04.3T ->   Num. Seq.T -> Numero Seq.             -> 9(005)   -> Conforme (G038)
				
				$modalidade_nosso_numero  = substr( $rr, $b+40,2 );                 // 13.3T ->   Nosso Num  -> Modalidade nosso numero -> 9(002)   -> Conforme (G069)
				$nosso_numero_caixa       = substr( $rr, $b+37,10 );                // 13.3T ->   Nosso Num  -> Identific. titulo banco -> 9(015)   -> Conforme (G069)
				$nosso_num                = substr( $rr, $b+43,14 );                // nosso numero para funcionar de acordo com o sistema alex.
				//$nosso_numero_alex        = remove_zero_esq( $nosso_num );
				$nosso_numero_alex        = $nosso_numero_caixa;
				$nosso_numero_buscar        = remove_zero_esq($nosso_numero_caixa);
				
				$vencimento               = substr( $rr, $b+74,8 );                 // 13.3T ->   Vencimento -> Modalidade nosso numero -> 9(002)   -> Conforme (G069)
				//echo $vencimento;
				$vm                       = substr( $rr, $b+82,15 );                // 13.3T ->   Valor tit. -> Modalidade nosso numero -> 9(002)   -> Conforme (G069)
				$valor_nominal            = numero_usa( remove_zero_esq( $vm ) );
				
				$cod_movimento = substr( $rr, $b+16,2 );                            // Codigo de Movimento ou movimentacao => indica o que houve com o titulo
				$nome_pagador  = trim(substr( $rr, $b+149,30 ));

				if( $nome_pagador == "" ){
					$nome_pagador = "NOME DO PAGADOR";
				}	 

				switch( $cod_movimento ){
				
					case '06':
						$xfrase_movimento = "TÍTULO <br>LIQUIDADO";
						$bg_color = "#98FB98"; // verde
						$cod_motivo_liquidacao = substr( $rr, $b+214,10);
						$cod_motivo = $cod_motivo_liquidacao;
						$frase_motivo = motivo_liquidacao( substr(trim($cod_motivo_liquidacao),-2) );
						break;
					
					case '02':
						$xfrase_movimento = "REMESSA <br>ENTRADA <br>CONFIRMADA";
						$bg_color = "#FFF"; // branco
						break;
					
					case '03':
						$xfrase_movimento = "REMESSA <br>ENTRADA <br>REJEITADA";
						$bg_color = "#FFC4C4"; // vermelho
						$cod_motivo_rejeicao = substr( $rr, $b+214,10);
						$cod_motivo = $cod_motivo_rejeicao;
						$frase_motivo = motivo_rejeicao( substr(trim($cod_motivo_rejeicao),-2) );
						break;
					
					case '28':
						$xfrase_movimento = "DÉBITO DE <br>TARIFAS/CUSTAS";
						break;
					
					case '27':
						$xfrase_movimento = "CONFIRMAÇÃO DO <br>PEDIDO DE ALTERAÇÃO <br>OUTROS DADOS";
						break;
					
					case '30':
						$xfrase_movimento = "ALTERAÇÃO DE <br>DADOS REJEITADA";
						break;
						
					case '45':
						$xfrase_movimento = "ALTERAÇÃO <br>DE DADOS";
						break;
						
					case '09':
						$xfrase_movimento = "BAIXA";  // baixa != liquidacao / ocorre quando o banco remove o titulo de seu roll de titulos a receber
						break;
				
				} // fim do switch ... case
			
			}  // fim de se a linha fot uma linha T
			
			// *****************************************************************************************************************************************
			// final essa linha e' segmento "T"
			// *****************************************************************************************************************************************
			
			

			// *****************************************************************************************************************************************
			// Essa linha e' um segmento "U"
			// *****************************************************************************************************************************************
			
			if( $i > 3 && substr( $rr, $b+14,1 ) == "U" && substr( $rr, $b+16,2)!=28 ){
			
				$total_itens_processados++;

				$cod_movimento_u = $cod_movimento;  // o mesmo cod. de movimento da linha U = ao da linha T (linha anterior)

				$num_sequencial_u         = substr( $rr, $b+9,5 );         // 04.3U -> Num. Seq.U           -> Numero Seq.       -> 9(005)   -> Conforme (G038)
				
				$jumu                     = substr( $rr, $b+18,15 );       // 08.3U -> Juros/Multa          -> Juros/Multa       -> 9(015)   -> Conforme (C048)


				$juros_multa =  ( numero_usa( $jumu ) );

				
				$juros_multa =  ( remove_zero_esq( $juros_multa ) );
					

				
				$desco                    = substr( $rr, $b+33,15 );       // 09.3U -> Valor do desconto    -> Valor do desconto -> 9(015)   -> Conforme (C049)
				$desconto                 = numero_usa ( remove_zero_esq( $desco ) );
				
				$vp                       = substr( $rr, $b+78,15 );       // 12.3U -> Valor pago pagador   -> Valor pago pagador      -> 9(015)   -> Conforme (C052)
				$valor_pago = numero_usa ( remove_zero_esq( $vp ) );
				
				$vl                       = substr( $rr, $b+93,15 );       // 13.3U -> Valor liquido        -> Valor liquido           -> 9(015)   -> Conforme (C078)
				$valor_liquido = numero_usa ( remove_zero_esq( $vl ) );
				
				$outdes                   = substr( $rr, $b+108,15 );      // 14.3U -> Outras despesas      -> Outras Despesas         -> 9(015)   -> Conforme (C054)				
				$outras_despesas          = numero_usa ( remove_zero_esq( $outdes ) );
				
				$data_ocorrencia          = substr( $rr, $b+138,8 );       // 16.3U -> Data ocorrencia      -> Data do evento que afet -> 9(008)   -> Conforme (C056)
				$data_credito             = substr( $rr, $b+146,8 );       // 17.3U -> Data do credito      -> Data do credito         -> 9(008)   -> Conforme (C057)				
				
				$data_deb_tarifa          = substr( $rr, $b+158,8 );   

				$dados_parcela_retorno = dados_parcela_retorno($nosso_numero_buscar);



				
				if( $cod_movimento_u == "06" || $cod_movimento_u == "17" ){
					// seu codigo para boletos liquidados  -> require "grava-boleto-liquidado.php";
					if($dados_parcela_retorno["valor_parcelas"] != $valor_pago){
						$bg_color = 'danger';
					}


					

					if($dados_parcela_retorno["situacao"] == 'Pago'){
						$bg_color = 'success';
					}
					require "retorno3.php";
				}



				if( $cod_movimento_u == "02" ){
					// seu codigo para boletos confirmados na remessa -> require "grava-remessa-confirmada.php";
					require "retorno3.php";
				}
				if( $cod_movimento_u == "03" || $cod_movimento_u == "26" || $cod_movimento_u == "30" ){
					// seu codigo para boletos rejeitados na remessa -> require "grava-remessa-rejeitada.php";
					require "retorno3.php";
				}
				
			
			} // Final essa linha e' segmento "U"
			
			$i++;
	
		} // fim se a linha == 240	
?>

		

<?php
	} // fim While
?>

<?php

	fclose($lendo);

} // end mov_upload

?>

                   <tr>
                           	<td colspan="11"><input type="submit" class="btn btn-success" name="" value="Baixar Parcelas"></td>
	</tr>


                                </tbody>
 </form>
                            </table>

                           
                        </div>
                    </div>
                    <!-- end panel -->
                </div>
                <!-- end col-10 -->
                <?php } ?>
            </div>
            <!-- end row -->
		</div>
		<!-- end #content -->
		
     
		
		<!-- begin scroll to top btn -->
		<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
		<!-- end scroll to top btn -->
	</div>
	<!-- end page container -->
	
	<!-- ================== BEGIN BASE JS ================== -->
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/jquery/jquery-1.9.1.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/jquery/jquery-migrate-1.1.0.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/jquery-ui/ui/minified/jquery-ui.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/bootstrap/js/bootstrap.min.js"></script>
	<!--[if lt IE 9]>
		<script src="https://immobilebusiness.com.br/admin/assets/crossbrowserjs/html5shiv.js"></script>
		<script src="https://immobilebusiness.com.br/admin/assets/crossbrowserjs/respond.min.js"></script>
		<script src="https://immobilebusiness.com.br/admin/assets/crossbrowserjs/excanvas.min.js"></script>
	<![endif]-->
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/jquery-cookie/jquery.cookie.js"></script>
	<!-- ================== END BASE JS ================== -->
	
	<!-- ================== BEGIN PAGE LEVEL JS ================== -->
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/media/js/jquery.dataTables.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/media/js/dataTables.bootstrap.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Buttons/js/dataTables.buttons.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Buttons/js/buttons.bootstrap.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Buttons/js/buttons.flash.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Buttons/js/jszip.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Buttons/js/pdfmake.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Buttons/js/vfs_fonts.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Buttons/js/buttons.html5.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Buttons/js/buttons.print.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/js/table-manage-buttons.demo.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/js/ui-modal-notification.demo.min.js"></script>
	<script src="https://immobilebusiness.com.br/admin/assets/js/apps.min.js"></script>
	<!-- ================== END PAGE LEVEL JS ================== -->
	
	<script>
		$(document).ready(function() {
			App.init();
			TableManageButtons.init();
			Notification.init();
		});
	</script>

</body>


</html>
